import React, { useState } from 'react';

import { useDispatch, useSelector } from 'react-redux';

import { decrease, increase } from './store/counter/actions';
import { getFakeData, updateValue } from './store/fake/actions';


function App() {


  const dispatch = useDispatch();

  const count = useSelector((state) => {
    return state.counter.count;
  });

  const data = useSelector(s => s.fake.data);
  const value = useSelector(s => s.fake.value);
  // const isFetching = useSelector(s => s.fake.isFetching)

  const onIncreaseHandler = () => {
    dispatch(increase({ bool: 'sss'}))
  }

  const onDecreaseHandler = () => {
    dispatch(decrease())
  }

  const onChange = (e) => {
    dispatch(updateValue(e.target.value))
  }

  // const getVideos = () => {
  //   // dispatch(getFakeData({ value: value }))
  //   // requestFilms(value).then(r => r.json()).then(response => setData(response))
  // }
  console.log('data', data);
  return (
    <div className="App">
      {/* {isFetching && <span>Loading....</span>} */}

      <h2>our count is: <span>{count}</span></h2>

      <input type="text" value={value} onChange={onChange} />
      {/* <button onClick={getVideos}>GET VIDEOS</button> */}

      <button onClick={onIncreaseHandler}>increase</button>
      <button onClick={onDecreaseHandler}>decrease</button>

      <ul>
        {data.length !== 0 && data.map(el => (
          <li key={el.show.id}>{el.show.name}</li>
        ))}
      </ul>

      {/* <ul>
       {data.map(el => <li key={el.id}>{el.title}</li>)}
      </ul> */}
    </div>
  );
}

export default App;

// class App extends React.Component {
//   onIncreaseHandler = () => this.props.increase()
//   onDecreaseHandler = () => this.props.decrease()

//   render() {
//     console.log('this ', this.props)
//     return (
//     <div className="App">
//       <h2>our count is: <span>{this.props.count}</span></h2>

//       <button onClick={this.onIncreaseHandler}>increase</button>
//       <button onClick={this.onDecreaseHandler}>decrease</button>
//     </div>
//   );
//   }
// }

// const mapStateToProps = (state) => ({
//   count: state.counter.count,
// });

// // const mapStateToProps = (state) => ({
// //   count: state.counter.count,
// // });

// const dispatchActions = { decrease, increase }

// // const mapDispatchToProps = (dispatch) => bindActionCreators(dispatchActions, dispatch)
// // const mapDispatchToProps = (dispatch) => {
// //   return {
// //     increase: () => dispatch(increase()),
// //     decrease: () => dispatch(decrease()),
// //   }
// // }

// export default connect(mapStateToProps, dispatchActions)(App);
